crashpad::ThreadSafeVector< T > Class Template Reference

A wrapper for a `std::vector<>` that can be accessed safely from multiple threads. More...

`#include "util/stdlib/thread_safe_vector.h"`

## Public Member Functions

void | PushBack (const T &element)
| Wraps `std::vector<>::push_back()`.
std::vector< T > | Drain ()
| Atomically clears the underlying vector and returns its previous contents.

## Detailed Description

### template<typename T>
class crashpad::ThreadSafeVector< T >

A wrapper for a `std::vector<>` that can be accessed safely from multiple threads.

This is not a drop-in replacement for `std::vector<>`. Only necessary operations are defined.

The documentation for this class was generated from the following file:

- util/stdlib/thread_safe_vector.h